<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Spatial Sampling within a Polygon</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../../R.css">
</head><body>

<table width="100%" summary="page for spatialsample {BiodiversityR}"><tr><td>spatialsample {BiodiversityR}</td><td align="right">R Documentation</td></tr></table>
<h2>Spatial Sampling within a Polygon</h2>


<h3>Description</h3>

<p>
Spatial sampling within a polygon provides several methods of selecting rectangular sample plots within a polygon. Using a GIS package may be preferred for actual survey design.
</p>


<h3>Usage</h3>

<pre>
spatialsample(x,method="random",n=5,xwidth=0.5,ywidth=0.5,xleft=0,
    ylower=0,xdist=0,ydist=0,plotit=T,plothull=F)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>x</code></td>
<td>
2-column matrix with the coordinates of the vertices of the polygon. The first column contains the horizontal (x) position, the second column contains the vertical (y) position. </td></tr>
<tr valign="top"><td><code>method</code></td>
<td>
Method of sampling, any of "random", "grid" or "random grid". </td></tr>
<tr valign="top"><td><code>n</code></td>
<td>
Number of sample plots to be selected, or number of horizontal and vertical grid positions. </td></tr>
<tr valign="top"><td><code>xwidth</code></td>
<td>
Horizontal width of the sample plots. </td></tr>
<tr valign="top"><td><code>ywidth</code></td>
<td>
Vertical width of the sample plots. </td></tr>
<tr valign="top"><td><code>xleft</code></td>
<td>
Horizontal starting position of the grid. </td></tr>
<tr valign="top"><td><code>ylower</code></td>
<td>
Vertical starting position of the grid. </td></tr>
<tr valign="top"><td><code>xdist</code></td>
<td>
Horizontal distance between grid locations. </td></tr>
<tr valign="top"><td><code>ydist</code></td>
<td>
Vertical distance between grid locations. </td></tr>
<tr valign="top"><td><code>plotit</code></td>
<td>
Plot the sample plots on the current graph. </td></tr>
<tr valign="top"><td><code>plothull</code></td>
<td>
Plot a convex hull around the sample plots. </td></tr>
</table>

<h3>Details</h3>

<p>
Spatial sampling within a polygon provides several methods of selecting the position of sample plots.
</p>
<p>
Method "random" selects random positions of the sample plots using simple random sampling.
</p>
<p>
Method "grid" selects sample plots from a grid defined by "xleft", "ylower", "xdist" and "ydist". In case <code>xdist=0</code> or <code>ydist=0</code>, then the number of grid positions are defined by "n". In case "xleft" or "ylower" are below the minimum  position of any vertix of the polygon, then a random starting position is selected for the grid.
</p>
<p>
Method "random grid" selects sample plots at random from the sampling grid using the same methods of defining the grid as for method "grid".
</p>


<h3>Value</h3>

<p>
The function returns a list of centres of rectangular sample plots.</p>

<h3>Author(s)</h3>

<p>
Roeland Kindt (World Agroforestry Centre)
</p>


<h3>References</h3>

<p>
Kindt, R. &amp; Coe, R. (2005) 
Tree diversity analysis: A manual and
software for common statistical methods for ecological and
biodiversity studies.
</p>
<p>
<a href="http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp">http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp</a>
</p>


<h3>Examples</h3>

<pre>
library(splancs)
area &lt;- array(c(10,10,15,35,40,35,5,35,35,30,30,10), dim=c(6,2))
landuse1 &lt;- array(c(10,10,15,15,30,35,35,30), dim=c(4,2))
landuse2 &lt;- array(c(10,10,15,15,35,30,10,30,30,35,30,15), dim=c(6,2))
landuse3 &lt;- array(c(10,10,30,35,40,35,5,10,15,30,30,10), dim=c(6,2))
plot(area[,1], area[,2], type="n", xlab="horizontal position", 
    ylab="vertical position", lwd=2, bty="l")
polygon(landuse1)
polygon(landuse2)
polygon(landuse3)
spatialsample(area, method="random", n=20, xwidth=1, ywidth=1, plotit=TRUE, 
    plothull=FALSE)
spatialsample(area, method="grid", xwidth=1, ywidth=1, plotit=TRUE, xleft=12, 
    ylower=7, xdist=4, ydist=4)
spatialsample(area, method="random grid", n=20, xwidth=1, ywidth=1, 
    plotit=TRUE, xleft=12, ylower=7, xdist=4, ydist=4)
</pre>



<hr><div align="center">[Package <em>BiodiversityR</em> version 1.0 <a href="00Index.html">Index]</a></div>

</body></html>
